{
  description = "honk";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, utils }:
    utils.lib.eachDefaultSystem (system:
      let
        lastModifiedDate = self.lastModifiedDate or self.lastModified or "19700101";
        version = builtins.substring 0 8 lastModifiedDate;

        pkgs = import nixpkgs {
          inherit system;
          overlays = [
            (final: prev: {
              go = prev.go_1_19;
              buildGoModule = prev.buildGo118Module;
            })
          ];
        };

      in {
        devShell = pkgs.mkShell {
          CFLAGS="-I${pkgs.sqlite.dev}/include";
          buildInputs = with pkgs; [ go gopls gotools go-tools golangci-lint sqlite];
        };

        defaultPackage = pkgs.buildGoModule {
          pname = "honk";
          inherit version;

          src = ./.;

          vendorSha256 = "sha256-pQpattmS9VmO3ZIQUFn66az8GSmB4IvYhTTCFn6SUmo=";
        };
      });
}
